var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/hooks/useMergeOpen.ts
var useMergeOpen_exports = {};
__export(useMergeOpen_exports, {
  CAN_USE_OPEN: () => CAN_USE_OPEN,
  default: () => useMergeOpen_default
});
module.exports = __toCommonJS(useMergeOpen_exports);
var import_antd = require("antd");
var CAN_USE_OPEN = function canUseOpen() {
  const [major, minor] = (typeof import_antd.version === "string" ? import_antd.version : "0.0.0").split(".").map((v) => parseInt(v, 10));
  return major >= 5 || // antd v5
  major === 4 && minor >= 23;
};
var useMergeOpen = (props) => {
  const { visible, open = visible } = props;
  const key = CAN_USE_OPEN() ? "open" : "visible";
  return {
    [key]: open
  };
};
var useMergeOpen_default = useMergeOpen;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CAN_USE_OPEN
});
